#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
int main()
{
    int T;
    scanf("%d", &T);
    ll b, c, p = 1e9 + 7;
    while (T--)
    {
        scanf("%lld%lld", &b, &c);
        bool flag = true;
        for (ll i = 0; i < 10000000 && flag; i++)
            if ((b * b - 4 * c - i * i) % (4 * p) == 0)
                if ((b + i) & 1 ^ 1)
                    printf("%lld %lld\n", (b - i) >> 1, (b + i) >> 1), flag = false;
        for (ll i = 0; i < 10000000 && flag; i++)
            if (((p + b) * (p + b) - 4 * c) % (4 * p) == 0)
                if ((p + b + i) & 1 ^ 1)
                    printf("%lld %lld\n", (p + b - i) >> 1, (p + b + i) >> 1), flag = false;
        if (flag) puts("-1 -1");
    }
    return 0;
}